Subject: bug#9639: 24.0.90; Problem with bury-buffer in minibuffer-hide-completions

From: martin rudalics <[email-masked]>
Date: Tue, 04 Oct 2011 17:50:34 +0200

> No.  Either both are deleted or both are iconified, since (again) it is
 > mostly a choice that depends on the general window-manager usage and
 > user preference.
 >
 >> Basically, it would be nice to get rid of either `bury-buffer' or
 >> `quit-window'.  Having two functions do approximately the same thing is
 >> neither reasonable for developers nor for users.
 >
 > I think both are in fairly wide use, so getting rid of one of them is
 > not really an option.  But I hope we can define one in terms of
 > the other (or both in terms of a third internal one).

I now try to handle burying buffers via `quit-window' and `bury-buffer'
in a uniform manner.  All this in a new function called `window--delete'
(which is also called by `replace-buffer-in-windows' although the latter
always deletes the frame if possible).

martin